Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class SettingsBackedStatsRecorderFlagsImpl

    java.lang.Object
      org.jasig.portal.services.stats.SettingsBackedStatsRecorderFlagsImpl

All Implemented Interfaces:
  IStatsRecorderFlags

    public class SettingsBackedStatsRecorderFlagsImpl

extends java.lang.Object
implements IStatsRecorderFlags

An IStatsRecorderFlags implementation backed by the StatsRecorderSettings static singleton. This implementation is required because StatsRecorderSettings is not just an implementation that parses portal.properties - it also provides a static singleton mechanism to update that configuration at runtime. This flags implementation will immediately reflect any changes to that backing static singleton.

Since:
  uPortal 2.5.1
Version:
  $Revision: 1.1.2.1 $ $Date: 2005/07/15 21:20:52 $

Constructor Summary
`SettingsBackedStatsRecorderFlagsImpl()`

Method Summary
`boolean` | `isRecordChannelAddedToLayout()` Returns true if we should record when a channel is added to a layout; false otherwise.
`boolean` | `isRecordChannelDefinitionModified()` Returns true if we should record when a channel definition is modified.
`boolean` | `isRecordChannelDefinitionPublished()` Returns true if we should record when a channel definition is published, false otherwise.
`boolean` | `isRecordChannelDefinitionRemoved()` Returns true iff we should record when a channel definition is removed.
`boolean` | `isRecordChannelInstantiated()` Returns whether we should record when a channel is instantiated.
`boolean` | `isRecordChannelMovedInLayout()` Returns whether we should record a channel being moved within a layout.
`boolean` | `isRecordChannelRemovedFromLayout()` Returns true if we should record a channel being removed from a layout, false otherwise.
`boolean` | `isRecordChannelRendered()` Returns true if we should record when a channel is rendered, false otherwise.
`boolean` | `isRecordChannelTargeted()` Returns true if we should record when a channel is targetted, false otherwise.
`boolean` | `isRecordChannelUpdatedInLayout()` Returns true if we should record when a channel is updated within a layout, false otherwise.
`boolean` | `isRecordFolderAddedToLayout()` Returns true if we should record when a folder is added to a layout, false otherwise.
`boolean` | `isRecordFolderMovedInLayout()` Returns true if we should record that a folder is moved in a layout, false otherwise.
`boolean` | `isRecordFolderRemovedFromLayout()` Returns true iff we should record a folder being removed from a layout.
`boolean` | `isRecordFolderUpdatedInLayout()` Returns true if we should record a folder being updated within a layout, false otherwise.
`boolean` | `isRecordLogin()` Returns true iff we should record a user logging in.
`boolean` | `isRecordLogout()` Returns true iff we should record a user logging out.
`boolean` | `isRecordSessionCreated()` Returns true if we should record a session being created, false otherwise.
`boolean` | `isRecordSessionDestroyed()` Return true iff we should record a session being destroyed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsBackedStatsRecorderFlagsImpl

    public SettingsBackedStatsRecorderFlagsImpl()

Method Detail

### isRecordChannelAddedToLayout

    public boolean isRecordChannelAddedToLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel is added to a layout; false otherwise.

  Specified by:
    `isRecordChannelAddedToLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns the recordChannelAddedToLayout.

### isRecordChannelDefinitionModified

    public boolean isRecordChannelDefinitionModified()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel definition is modified.

  Specified by:
    `isRecordChannelDefinitionModified` in interface `IStatsRecorderFlags`
  Returns:
    Returns whether we should record when a channel definition is modified.

### isRecordChannelDefinitionPublished

    public boolean isRecordChannelDefinitionPublished()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel definition is published, false otherwise.

  Specified by:
    `isRecordChannelDefinitionPublished` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel definition is published.

### isRecordChannelDefinitionRemoved

    public boolean isRecordChannelDefinitionRemoved()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true iff we should record when a channel definition is removed.

  Specified by:
    `isRecordChannelDefinitionRemoved` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel definition is removed.

### isRecordChannelInstantiated

    public boolean isRecordChannelInstantiated()

  Description copied from interface: `IStatsRecorderFlags`
  Returns whether we should record when a channel is instantiated.

  Specified by:
    `isRecordChannelInstantiated` in interface `IStatsRecorderFlags`
  Returns:
    Returns whether we should record when a channel is instantiated.

### isRecordChannelMovedInLayout

    public boolean isRecordChannelMovedInLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns whether we should record a channel being moved within a layout.

  Specified by:
    `isRecordChannelMovedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record a channel being moved within a layout.

### isRecordChannelRemovedFromLayout

    public boolean isRecordChannelRemovedFromLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record a channel being removed from a layout, false otherwise.

  Specified by:
    `isRecordChannelRemovedFromLayout` in interface `IStatsRecorderFlags`
  Returns:
    true if we should record a channel being removed from a layout, false otherwise.

### isRecordChannelRendered

    public boolean isRecordChannelRendered()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel is rendered, false otherwise.

  Specified by:
    `isRecordChannelRendered` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is rendered.

### isRecordChannelTargeted

    public boolean isRecordChannelTargeted()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel is targetted, false otherwise.

  Specified by:
    `isRecordChannelTargeted` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is targetted.

### isRecordChannelUpdatedInLayout

    public boolean isRecordChannelUpdatedInLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a channel is updated within a layout, false otherwise.

  Specified by:
    `isRecordChannelUpdatedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is updated in a layout.

### isRecordFolderAddedToLayout

    public boolean isRecordFolderAddedToLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record when a folder is added to a layout, false otherwise.

  Specified by:
    `isRecordFolderAddedToLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a folder is added to a layout.

### isRecordFolderMovedInLayout

    public boolean isRecordFolderMovedInLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record that a folder is moved in a layout, false otherwise.

  Specified by:
    `isRecordFolderMovedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record that a folder is moved in a layout.

### isRecordFolderRemovedFromLayout

    public boolean isRecordFolderRemovedFromLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true iff we should record a folder being removed from a layout.

  Specified by:
    `isRecordFolderRemovedFromLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true if a folder is removed from a layout.

### isRecordFolderUpdatedInLayout

    public boolean isRecordFolderUpdatedInLayout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record a folder being updated within a layout, false otherwise.

  Specified by:
    `isRecordFolderUpdatedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a folder being updated within a layout.

### isRecordLogin

    public boolean isRecordLogin()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true iff we should record a user logging in.

  Specified by:
    `isRecordLogin` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a user logging in.

### isRecordLogout

    public boolean isRecordLogout()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true iff we should record a user logging out.

  Specified by:
    `isRecordLogout` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a user logging out.

### isRecordSessionCreated

    public boolean isRecordSessionCreated()

  Description copied from interface: `IStatsRecorderFlags`
  Returns true if we should record a session being created, false otherwise.

  Specified by:
    `isRecordSessionCreated` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record when a session is created.

### isRecordSessionDestroyed

    public boolean isRecordSessionDestroyed()

  Description copied from interface: `IStatsRecorderFlags`
  Return true iff we should record a session being destroyed.

  Specified by:
    `isRecordSessionDestroyed` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a session being destroyed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD